<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>

        <ui:composition template="./../WEB-INF/template/Template.xhtml">

            <ui:define name="content">


                <h1>#{servicoBean.editando ? 'Edição de Serviço' : 'Novo Serviço'}</h1>



                <p:toolbar style="margin-top: 20px">
                    <p:toolbarGroup>
                        <p:button value="Novo" outcome="/servico/gerenciar" />
                        <p:commandButton value="Salvar" id="botaoSalvar"
                                         action="#{servicoBean.salvar}" update="painel,tabela" />
                    </p:toolbarGroup>
                </p:toolbar>

                <p:panelGrid columns="2" id="painel" style="width: 100%; margin-top: 20px"
                             columnClasses="rotulo, campo">
                    <p:outputLabel value="Codigo" for="codigo"/>
                    <p:inputText id="codigo" size="20" maxlength="20" value="#{servicoBean.servico.id == 0 ? '' : servicoBean.servico.id}" readonly="true" />

                    <p:outputLabel value="Descrição" for="descricao"/>
                    <p:inputText id="descricao" required="true" requiredMessage="Campo descrição é requerido." size="60" maxlength="80" value="#{servicoBean.servico.descricao}"/>

                    <p:outputLabel value="Categoria" for="categoria"/>
                    <p:selectOneMenu id="categoria" value="#{servicoBean.servico.categoria}" converter="categoriaConverter" required="true" requiredMessage="Categoria é requerido." >
                        <f:selectItem itemLabel="Selecione a categoria" noSelectionOption="true"/>
                        <f:selectItems value="#{servicoBean.listaCategoria}" var="categoria"
                                       itemValue="#{categoria}" itemLabel="#{categoria.descricao}" />
                    </p:selectOneMenu>

                    <p:outputLabel for="tempo" value="Tempo Médio para Execução:" />
                    <p:calendar id="tempo" value="#{servicoBean.servico.tempoExecucao}" 
                                pattern="HH:mm" timeOnly="true" 
                                timeZone="GMT-2" locale="pt"
                                required="true" requiredMessage="O campo Tempo Médio para Execução é requerido."  />


                    <p:outputLabel value="Valor" for="valor"/>
                    <p:inputText id="valor" size="10" maxlength="10" styleClass="moeda"
                                 value="#{servicoBean.servico.valor}">
                        <f:convertNumber maxFractionDigits="2" minFractionDigits="2" />
                    </p:inputText>



                </p:panelGrid>

                <p:dataTable id="tabela"  var="servico" value="#{servicoBean.lista}" emptyMessage="Nenhum Registro Encontrado.">
                    <p:column headerText="Código" style="text-align: center; width: 100px;">
                        <h:outputText value="#{servico.id}" />
                    </p:column>

                    <p:column headerText="Descrição">
                        <h:outputText value="#{servico.descricao}" />
                    </p:column>
                    <p:column headerText="Categoria" style="text-align: center; width: 100px;">
                        <h:outputText value="#{servico.categoria.descricao}" />
                    </p:column>
                    <p:column headerText="Tempo Execução" style="text-align: center; width: 100px;" >
                        <h:outputText value="#{servico.tempoExecucao}"  >
                            <f:convertDateTime type="date" pattern="hh:mm" timeZone="GMT-2" locale="pt"/>    
                        </h:outputText>
                    </p:column>                    
                    <p:column headerText="Valor" style="text-align: center; width: 100px;">
                        <h:outputText value="#{servico.valor}"  >
                            <f:convertNumber type="currency" maxFractionDigits="2" minFractionDigits="2" />
                        </h:outputText>
                    </p:column>
                    <p:column style="width: 100px; text-align: center">


                        <p:commandButton  icon="ui-icon-pencil" title="Editar"  process="@this" update="@form">
                            <f:setPropertyActionListener target="#{servicoBean.servico}" value="#{servico}" />
                        </p:commandButton>

                        <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{servicoBean.excluir(servico)}" process="@this" update="tabela" immediate="true" >
                            <p:confirm header="Confirmação" message="Deseja realmente excluir?" icon="ui-icon-alert" />
                        </p:commandButton>

                        <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                            <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                            <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                        </p:confirmDialog>

                    </p:column>

                </p:dataTable>




            </ui:define>

        </ui:composition>

    </body>
</html>